## linux-backports-modules-2.6.32 2.6.32-24.17

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

#
# Declare to have additional module symbol versions.
# Must be here as it does not seem to have effect from a sub-directory.
#
KBUILD_EXTMOD	:= $(src)/alsa-driver

obj-y	+= wireless-staging/
obj-y	+= thinkpad-acpi/

=== debian/changelog ===
linux-backports-modules-2.6.32 (2.6.32-24.17) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * SAUCE: Add thinkpad-acpi to modules in the ALSA subpackage
    - LP: #599527

 -- Steve Conklin <sconklin@canonical.com>  Fri, 2 Jul 2010 15:15:16 -0600

linux-backports-modules-2.6.32 (2.6.32-23.16) lucid-proposed; urgency=low

  [ Chase Douglas ]

  * Add in staging rt28x0 drivers from 2.6.34
    - LP: #496093
  * Added iwlwifi 6050 series firmware
    - LP: #532451
  * Don't munge iwlwifi firmware filenames anymore
    - LP: #591822

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 14 Jun 2010 10:31:02 +0200

linux-backports-modules-2.6.32 (2.6.32-22.15) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Updated to compat-wireless-2.6.34 stable
    - LP: #586731

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 28 May 2010 11:31:33 +0200

linux-backports-modules-2.6.32 (2.6.32-22.14) lucid-proposed; urgency=low

  [ Upstream Kernel Changes ]

  * Updating with the alsa-driver 1.0.23 release
    - LP: #585921
  * Updated the BOM tar file version for alsa-driver that just got merged
    - LP: #585921
  * ALSA: hda - Fix resume from StR of HP 2510p with docking-station
    - LP: #585921

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 20 May 2010 15:30:41 +0200

=== debian/control ===
Source: linux-backports-modules-2.6.32
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.32-24-generic [i386 amd64], linux-headers-2.6.32-24-generic-pae [i386], linux-headers-2.6.32-24-lpia [lpia], linux-headers-2.6.32-24-preempt [amd64], linux-headers-2.6.32-24-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid-lbm.git

Package: linux-headers-lbm-2.6.32-24
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.32
 This package provides linux-ubuntu-modules header files for version 2.6.32, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-24/debian.README.gz for details

Package: linux-backports-modules-wireless-2.6.32-24-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.32-24-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-24-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-24-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-24/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-24-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-24-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.



Package: linux-backports-modules-wireless-2.6.32-24-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.32-24-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-24-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-24-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-24/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-24-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-24-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.



Package: linux-backports-modules-wireless-2.6.32-24-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.32-24-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on lpia
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-24-lpia
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-24-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-24/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-24-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-24-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.



Package: linux-backports-modules-wireless-2.6.32-24-preempt
Architecture: amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.32-24-preempt
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-preempt meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-24-preempt
Architecture: amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-24-preempt
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-24/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-24-preempt
Architecture: amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-24-preempt
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-preempt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.



Package: linux-backports-modules-wireless-2.6.32-24-server
Architecture: amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.32-24-server
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-server meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-24-server
Architecture: amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-24-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-24/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-24-server
Architecture: amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-24-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

## linux-backports-modules-2.6.32 2.6.32-25.24

=== updates/Makefile ===
--- 
+++ 
@@ -12,3 +12,4 @@
 
 obj-y	+= wireless-staging/
 obj-y	+= thinkpad-acpi/
+obj-y	+= wwan-drivers/

=== debian/changelog ===
linux-backports-modules-2.6.32 (2.6.32-25.24) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * wwan: Make gobi_loader unique to ABI and flavour
    - LP: #638115

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 23 Sep 2010 11:02:05 +0200

linux-backports-modules-2.6.32 (2.6.32-25.23) lucid-proposed; urgency=low

  [ Brad Figg ]

  * SAUCE: ALSA: HDA: Enable internal mic on Dell E6410 and Dell E6510
    - LP: #605047, #628961

 -- Brad Figg <brad.figg@canonical.com>  Thu, 09 Sep 2010 10:44:36 -0700

linux-backports-modules-2.6.32 (2.6.32-25.22) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Bump ABI to -25 for proposed upload.

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 31 Aug 2010 15:59:42 +0200

linux-backports-modules-2.6.32 (2.6.32-24.21) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Add Conflicts/Replaces for compat-wireless
    - LP: #621185

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 26 Aug 2010 19:16:09 +0200

linux-backports-modules-2.6.32 (2.6.32-24.20) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Added patch infrastructure
    - LP: #621185
  * Update atl1c to 1.0.1.0-NAPI from 2.6.36-rc2
    - LP: #621185

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 25 Aug 2010 18:39:48 +0200

linux-backports-modules-2.6.32 (2.6.32-24.19) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Add WWAN sub-package and backported qcserial
    - LP: #554099

  [ Tim Gardner ]

  * Make udev firmware helper file name unique by ABI and flavour
    - LP: #535132
  * Added compat-wireless-2.6.35-1
    - LP: #621185
  * Package multiple versions of compat-wireless
    - LP: #621185
  * Update to compat-wireless-2.6.34.1
    - LP: #618578
  * Use POCKET in flavour stub to correctly reference meta files
    - LP: #621185

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 20 Aug 2010 17:05:05 +0200

=== debian/control ===
Source: linux-backports-modules-2.6.32
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.32-25-generic [i386 amd64], linux-headers-2.6.32-25-generic-pae [i386], linux-headers-2.6.32-25-lpia [lpia], linux-headers-2.6.32-25-preempt [amd64], linux-headers-2.6.32-25-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid-lbm.git

Package: linux-headers-lbm-2.6.32-25
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.32
 This package provides linux-ubuntu-modules header files for version 2.6.32, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-25/debian.README.gz for details

Package: linux-backports-modules-compat-wireless-2.6.34-2.6.32-25-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.35-2.6.32-25-generic, linux-backports-modules-wireless-2.6.32-25-generic
Replaces: linux-backports-modules-wireless-2.6.32-25-generic
Depends: linux-image-2.6.32-25-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64. It replaces the original package linux-backports-modules-wireless
 with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
 subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35,
 linux-backports-modules-compat-wireless-2.6.36, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.35-2.6.32-25-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-25-generic, linux-backports-modules-wireless-2.6.32-25-generic
Depends: linux-image-2.6.32-25-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.35-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-25-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-25-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-25/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-25-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-25-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lucid-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-wwan-2.6.32-25-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-25-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 on x86/x86_64.
 This package contains WWAN modules supplied by Ubuntu for Linux 2.6.32.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wwan-lucid-generic meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.



Package: linux-backports-modules-compat-wireless-2.6.34-2.6.32-25-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.35-2.6.32-25-generic-pae, linux-backports-modules-wireless-2.6.32-25-generic-pae
Replaces: linux-backports-modules-wireless-2.6.32-25-generic-pae
Depends: linux-image-2.6.32-25-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86. It replaces the original package linux-backports-modules-wireless
 with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
 subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35,
 linux-backports-modules-compat-wireless-2.6.36, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lucid-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.35-2.6.32-25-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-25-generic-pae, linux-backports-modules-wireless-2.6.32-25-generic-pae
Depends: linux-image-2.6.32-25-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.35-lucid-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-25-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-25-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-25/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-25-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-25-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lucid-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-wwan-2.6.32-25-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-25-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 on x86.
 This package contains WWAN modules supplied by Ubuntu for Linux 2.6.32.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wwan-lucid-generic-pae meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.



Package: linux-backports-modules-compat-wireless-2.6.34-2.6.32-25-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.35-2.6.32-25-lpia, linux-backports-modules-wireless-2.6.32-25-lpia
Replaces: linux-backports-modules-wireless-2.6.32-25-lpia
Depends: linux-image-2.6.32-25-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on lpia
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on lpia. It replaces the original package linux-backports-modules-wireless
 with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
 subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35,
 linux-backports-modules-compat-wireless-2.6.36, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lucid-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.35-2.6.32-25-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-25-lpia, linux-backports-modules-wireless-2.6.32-25-lpia
Depends: linux-image-2.6.32-25-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on lpia
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.35-lucid-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-25-lpia
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-25-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-25/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-25-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-25-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lucid-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-wwan-2.6.32-25-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-25-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 on lpia.
 This package contains WWAN modules supplied by Ubuntu for Linux 2.6.32.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wwan-lucid-lpia meta-package, which will ensure that

## linux-backports-modules-2.6.32 2.6.32-27.26

=== updates/compat-wireless-2.6.36/drivers/bluetooth/Makefile ===
#
# Makefile for the Linux Bluetooth HCI device drivers.
#

obj-$(CONFIG_BT_HCIVHCI)	+= hci_vhci.o
obj-$(CONFIG_BT_HCIUART)	+= hci_uart.o
obj-$(CONFIG_BT_HCIBCM203X)	+= bcm203x.o
obj-$(CONFIG_BT_HCIBPA10X)	+= bpa10x.o
obj-$(CONFIG_BT_HCIBFUSB)	+= bfusb.o
obj-$(CONFIG_BT_HCIDTL1)	+= dtl1_cs.o
obj-$(CONFIG_BT_HCIBT3C)	+= bt3c_cs.o
obj-$(CONFIG_BT_HCIBLUECARD)	+= bluecard_cs.o
obj-$(CONFIG_BT_HCIBTUART)	+= btuart_cs.o

obj-$(CONFIG_BT_HCIBTUSB)	+= btusb.o
obj-$(CONFIG_BT_HCIBTUSB)	+= fwload.o
obj-$(CONFIG_BT_HCIBTSDIO)	+= btsdio.o

obj-$(CONFIG_BT_ATH3K)		+= ath3k.o
obj-$(CONFIG_BT_MRVL)		+= btmrvl.o
obj-$(CONFIG_BT_MRVL_SDIO)	+= btmrvl_sdio.o

btmrvl-y			:= btmrvl_main.o
btmrvl-$(CONFIG_DEBUG_FS)	+= btmrvl_debugfs.o

hci_uart-y				:= hci_ldisc.o
hci_uart-$(CONFIG_BT_HCIUART_H4)	+= hci_h4.o
hci_uart-$(CONFIG_BT_HCIUART_BCSP)	+= hci_bcsp.o
hci_uart-$(CONFIG_BT_HCIUART_LL)	+= hci_ll.o
hci_uart-$(CONFIG_BT_HCIUART_ATH3K)	+= hci_ath.o
hci_uart-objs				:= $(hci_uart-y)

=== updates/compat-wireless-2.6.36/drivers/net/wireless/ath/ath9k/Makefile ===
ath9k-y +=	beacon.o \
		gpio.o \
		init.o \
		main.o \
		recv.o \
		xmit.o \
		virtual.o \
		rc.o

ath9k-$(CONFIG_PCI) += pci.o
ath9k-$(CONFIG_ATHEROS_AR71XX) += ahb.o
ath9k-$(CONFIG_ATH9K_DEBUGFS) += debug.o
ath9k-$(CONFIG_ATH9K_PKTLOG) += pktlog.o

obj-$(CONFIG_ATH9K) += ath9k.o

ath9k_hw-y:=	\
		ar9002_hw.o \
		ar9003_hw.o \
		hw.o \
		ar9003_phy.o \
		ar9002_phy.o \
		ar5008_phy.o \
		ar9002_calib.o \
		ar9003_calib.o \
		calib.o \
		eeprom.o \
		eeprom_def.o \
		eeprom_4k.o \
		eeprom_9287.o \
		ani.o \
		btcoex.o \
		mac.o \
		ar9002_mac.o \
		ar9003_mac.o \
		ar9003_eeprom.o \
		ar9003_paprd.o

obj-$(CONFIG_ATH9K_HW) += ath9k_hw.o

obj-$(CONFIG_ATH9K_COMMON) += ath9k_common.o
ath9k_common-y:=	common.o

ath9k_htc-y +=	htc_hst.o \
		hif_usb.o \
		wmi.o \
		htc_drv_txrx.o \
		htc_drv_main.o \
		htc_drv_beacon.o \
		htc_drv_init.o

obj-$(CONFIG_ATH9K_HTC) += ath9k_htc.o

=== debian/changelog ===
linux-backports-modules-2.6.32 (2.6.32-27.26) lucid-proposed; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -27 for proposed upload.

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 30 Nov 2010 16:32:54 -0800

linux-backports-modules-2.6.32 (2.6.32-26.25) lucid-proposed; urgency=low

  [ Leann Ogasawara ]

  * Add compat-wireless-2.6.36
    - LP: #671052
  * Add compat-wireless-2.6.37
    - LP: #673245

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 01 Oct 2010 09:55:38 +0200

=== debian/control ===
Source: linux-backports-modules-2.6.32
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.32-27-generic [i386 amd64], linux-headers-2.6.32-27-generic-pae [i386], linux-headers-2.6.32-27-lpia [lpia], linux-headers-2.6.32-27-preempt [amd64], linux-headers-2.6.32-27-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid-lbm.git

Package: linux-headers-lbm-2.6.32-27
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.32
 This package provides linux-ubuntu-modules header files for version 2.6.32, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-27/debian.README.gz for details

Package: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic, linux-backports-modules-wireless-2.6.32-27-generic
Replaces: linux-backports-modules-wireless-2.6.32-27-generic
Depends: linux-image-2.6.32-27-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64. It replaces the original package linux-backports-modules-wireless
 with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
 subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35, linux-backports-modules-compat-wireless-2.6.36, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic, linux-backports-modules-wireless-2.6.32-27-generic
Depends: linux-image-2.6.32-27-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.35-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic, linux-backports-modules-wireless-2.6.32-27-generic
Depends: linux-image-2.6.32-27-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.36-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic, linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic, linux-backports-modules-wireless-2.6.32-27-generic
Depends: linux-image-2.6.32-27-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.37-lucid-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-27-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-27-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-27/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-27-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-27-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lucid-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-wwan-2.6.32-27-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-27-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 on x86/x86_64.
 This package contains WWAN modules supplied by Ubuntu for Linux 2.6.32.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wwan-lucid-generic meta-package, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.



Package: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic-pae, linux-backports-modules-wireless-2.6.32-27-generic-pae
Replaces: linux-backports-modules-wireless-2.6.32-27-generic-pae
Depends: linux-image-2.6.32-27-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86. It replaces the original package linux-backports-modules-wireless
 with linux-backports-modules-compat-wireless-2.6.34, a name which is more consistent with
 subsequent compat-wireless stable update packages, e.g., linux-backports-modules-compat-wireless-2.6.35, linux-backports-modules-compat-wireless-2.6.36, etc.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lucid-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic-pae, linux-backports-modules-wireless-2.6.32-27-generic-pae
Depends: linux-image-2.6.32-27-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.35-lucid-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic-pae, linux-backports-modules-wireless-2.6.32-27-generic-pae
Depends: linux-image-2.6.32-27-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.36-lucid-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.37-2.6.32-27-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.34-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.35-2.6.32-27-generic-pae, linux-backports-modules-compat-wireless-2.6.36-2.6.32-27-generic-pae, linux-backports-modules-wireless-2.6.32-27-generic-pae
Depends: linux-image-2.6.32-27-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.32 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.32 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.37-lucid-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.32-27-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.32-27-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.32
 This package provides linux-backports-modules header files for version 2.6.32, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.32-27/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.32-27-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.32-27-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.32 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.32 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lucid-generic-pae meta-package, which will ensure that upgrades work
